package com.ss.android.ugc.aweme.friends.model;

import X.C0487PDo;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

public class ContactModelV2 {
    @c(LIZ = "addresses")
    public List<String> addresses;
    @c(LIZ = "birthday")
    public String birthday;
    @c(LIZ = "department_name")
    public String department;
    @c(LIZ = "emails")
    public List<String> emails;
    public String familyName;
    public String givenName;
    @c(LIZ = "instant_message_addresses")
    public Map<String, String> instantMessageAddresses;
    @c(LIZ = "job_desc")
    public String jobDesc;
    @c(LIZ = "image_url")
    public String mImageUrl;
    @c(LIZ = "modification_date")
    public String modificationDate;
    @c(LIZ = "name")
    public String name;
    @c(LIZ = "nick_name")
    public String nickName;
    @c(LIZ = "note")
    public String note;
    @c(LIZ = "organization_name")
    public String organization;
    @c(LIZ = "phone_number")
    public List<String> phoneNumber;
    public transient String photoUri;
    public String section;
    @c(LIZ = "urls")
    public List<String> urls;

    static {
        Covode.recordClassIndex(81193);
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{this.phoneNumber, this.name});
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass()) {
            ContactModelV2 contactModelV2 = (ContactModelV2) obj;
            if (!C0487PDo.LIZ(this.phoneNumber, contactModelV2.phoneNumber) || !C0487PDo.LIZ(this.name, contactModelV2.name)) {
                return false;
            }
            return true;
        }
        return false;
    }
}
